### Method

# Ide Buffer get_selection_bounds

#### Declaration

    void
    ide_buffer_get_selection_bounds (
      IdeBuffer* self,
      GtkTextIter* insert,
      GtkTextIter* selection
    )

#### Description

This function acts like `gtk_text_buffer_get_selection_bounds()` except that it always places the location of the insert mark at `insert` and the location of the selection mark at `selection`.

Calling `gtk_text_iter_order()` with the results of this function would be equivalent to calling gtk_text_buffer_get_selection_bounds().

Available since: | 3.32

#### Parameters

`insert` | `GtkTextIter`
| A `GtkTextIter` to get the insert position.
| The argument will be set by the function.
| The data is owned by the caller of the function.
`selection` | `GtkTextIter`
| A `GtkTextIter` to get the selection position.
| The argument will be set by the function.
| The data is owned by the caller of the function.